diff --git a/leksah.cabal b/leksah.cabal
--- a/leksah.cabal
+++ b/leksah.cabal
@@ -1,5 +1,5 @@
 name: leksah
-version: 0.14.3.0
+version: 0.14.4.0
 cabal-version: >=1.18
 build-type: Simple
 license: GPL
@@ -257,7 +257,7 @@
                        parsec >=2.1.0.1 && <3.2, pretty >=1.0.1.0 && <1.2,
                        regex-tdfa >=1.1 && <1.3, regex-tdfa-text, regex-base ==0.93.*, utf8-string >=0.3.1.1 && <0.4, array >=0.2.0.0 && <0.6,
                        time >=0.1 && <1.5, ltk >= 0.14.3.0 && <0.15, binary-shared >= 0.8 && <0.9, deepseq >= 1.1.0.0 && <1.4,
-                       hslogger >= 1.0.7 && <1.3, leksah-server >=0.14.3.0 && <0.15,
+                       hslogger >= 1.0.7 && <1.3, leksah-server >=0.14.3.1 && <0.15,
                        ghc >=6.10.1 && <7.9, strict >= 0.3.2 && <0.4, conduit >= 1.0.8 && <1.3, text >= 0.11.1.5 && < 1.3,
                        gio >=0.13.0.0 && <0.14, transformers >=0.2.2.0 && <0.5,
                        executable-path >=0.0.3 && <0.1,
@@ -310,7 +310,7 @@
         ghc-options: -threaded
 
     hs-source-dirs: main
-    build-depends: leksah == 0.14.3.0, base >= 4.0.0.0 && <=4.8, gtk3 -any
+    build-depends: leksah == 0.14.4.0, base >= 4.0.0.0 && <=4.8, gtk3 -any
     if os(linux) && flag(loc)
         cpp-options: -DLOCALIZATION
         build-depends: hgettext, setlocale
@@ -326,7 +326,7 @@
     ghc-options: -rtsopts -O2 -fwarn-missing-fields -fwarn-incomplete-patterns -ferror-spans
 
 executable bewleksah
-    build-depends: leksah ==0.14.3.0, base >=4.0.0.0 && <=4.8,
+    build-depends: leksah ==0.14.4.0, base >=4.0.0.0 && <=4.8,
                    jsaddle -any, ghcjs-dom -any
     if flag(gtk3)
       build-depends: gtk3 >=0.13.2 && <0.14, gtksourceview3 >=0.13.1.0 && <0.14,
@@ -343,7 +343,7 @@
 
 test-suite tests
     build-depends: base >=4.0.0.0 && <4.8, Cabal >=1.10.2.0 && <1.22,
-                   QuickCheck >=2.4.2 && <2.8, leksah ==0.14.3.0,
+                   QuickCheck >=2.4.2 && <2.8, leksah ==0.14.4.0,
                    containers, ltk, leksah-server, hslogger,
                    transformers, glib, monad-loops, text
     if flag(gtk3)
diff --git a/scripts/stage.sh b/scripts/stage.sh
--- a/scripts/stage.sh
+++ b/scripts/stage.sh
@@ -30,7 +30,15 @@
 # export DYLD_LIBRARY_PATH="/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources:$GTK_PREFIX/lib:$DYLD_LIBRARY_PATH"
 
 if test "`uname`" = "Darwin"; then
-    cabal install ./ ./vendor/ltk ./vendor/leksah-server ./vendor/yi gtk3 ghcjs-dom jsaddle vendor/haskellVCSWrapper/vcswrapper vendor/haskellVCSGUI/vcsgui --with-ghc=ghc$GHCVERSION -j4 -fwebkit -fyi -fpango --with-gcc=gcc-mp-4.8 || exit
+    cd ./vendor/ltk || exit
+    cabal install -j4 --with-ghc=ghc$GHCVERSION || exit
+    cd ../leksah-server || exit
+    cabal install --enable-tests -j4 --with-ghc=ghc$GHCVERSION || exit
+    cabal test || exit
+    cd ../yi || exit
+    cabal install -j4 -fpango --with-ghc=ghc$GHCVERSION || exit
+    cd ../.. || exit
+    cabal install -j4 -fwebkit -fyi --with-gcc=gcc-mp-4.8 --with-ghc=ghc$GHCVERSION || exit
 else
     cabal install ./ ./vendor/ltk ./vendor/leksah-server                gtk3 ghcjs-dom jsaddle vendor/haskellVCSWrapper/vcswrapper vendor/haskellVCSGUI/vcsgui --with-ghc=ghc$GHCVERSION -j4 -fwebkit -f-yi -fpango -f-vty --force-reinstalls --extra-lib-dirs=/c/MinGWRPM/lib || bash || exit
 #  if [ "$GHC_VER" != "7.0.3" ] && [ "$GHC_VER" != "7.0.4" ] && [ "$GHC_VER" != "7.6.1" ]; then
diff --git a/src/IDE/Package.hs b/src/IDE/Package.hs
--- a/src/IDE/Package.hs
+++ b/src/IDE/Package.hs
@@ -467,8 +467,9 @@
                         let path = "dist/build" </> name </> name <.> "jsexe" </> "index.html"
                             dir = ipdBuildDir package
 #ifdef WEBKITGTK
-                        loadOutputUri ("file:///" ++ dir </> path)
-                        getOutputPane Nothing  >>= \ p -> displayPane p False
+                        postAsyncIDE $ do
+                            loadOutputUri ("file:///" ++ dir </> path)
+                            getOutputPane Nothing  >>= \ p -> displayPane p False
 #else
                         openBrowser path
 #endif
@@ -889,7 +890,7 @@
                 ipdPackageId        = package packageD
                 ipdDepends          = buildDepends packageD
                 ipdHasLibs          = hasLibs packageD
-                ipdConfigFlags      = ["--user", "--enable-tests"]
+                ipdConfigFlags      = ["--enable-tests"]
                 ipdBuildFlags       = []
                 ipdTestFlags        = []
                 ipdHaddockFlags     = []
